# Class ConfusionOnStatusEffectAbAttr

This attribute applies confusion to the target whenever the user directly poisons them with a move, e.g. Poison Puppeteer. Called in StatusEffectAttr.

#### See

`applyPostAttack`

#### Hierarchy (view full)

- PostAttackAbAttr
  - ConfusionOnStatusEffectAbAttr

- Defined in src/data/ability.ts:1970

#####
Index

### Constructors

constructor

### Properties

effects
showAbility

### Methods

addCondition
apply
applyPostAttack
getCondition
getTriggerMessage

## Constructors

### constructor

- new ConfusionOnStatusEffectAbAttr(...effects): ConfusionOnStatusEffectAbAttr

- #### Parameters

  - `Rest` ...effects: StatusEffect []

  #### Returns ConfusionOnStatusEffectAbAttr

  Overrides PostAttackAbAttr.constructor

  - Defined in src/data/ability.ts:1974

## Properties

### `Private` effects

effects: StatusEffect []

List of effects to apply confusion after

- Defined in src/data/ability.ts:1972

### showAbility

showAbility: boolean

Inherited from PostAttackAbAttr.showAbility

- Defined in src/data/ability.ts:126

## Methods

### addCondition

- addCondition(condition): AbAttr

- #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from PostAttackAbAttr.addCondition

  - Defined in src/data/ability.ts:145

### apply

- apply(pokemon, passive, cancelled, args): boolean | Promise<boolean>

- #### Parameters

  - pokemon: default
  - passive: boolean
  - cancelled: BooleanHolder
  - args: any[]

  #### Returns boolean | Promise<boolean>

  Inherited from PostAttackAbAttr.apply

  - Defined in src/data/ability.ts:133

### applyPostAttack

- applyPostAttack(pokemon, passive, defender, move, hitResult, args): boolean

- Applies confusion to the target pokemon.

  #### Parameters

  - pokemon: default

    Pokemon attacking

  - passive: boolean

    N/A

  - defender: default

    Pokemon defending

  - move: default

    Move used to apply status effect and confusion

  - hitResult: HitResult

    N/A

  - args: any[]

    [0] `StatusEffect` applied by move

  #### Returns boolean

  true if defender is confused

  Overrides PostAttackAbAttr.applyPostAttack

  - Defined in src/data/ability.ts:1988

### getCondition

- getCondition(): AbAttrCondition

- #### Returns AbAttrCondition

  Inherited from PostAttackAbAttr.getCondition

  - Defined in src/data/ability.ts:141

### getTriggerMessage

- getTriggerMessage(pokemon, abilityName, ...args): string

- #### Parameters

  - pokemon: default
  - abilityName: string
  - `Rest` ...args: any[]

  #### Returns string

  Inherited from PostAttackAbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:137